Module
Contents
Index 🔎︎

# CreateUnoService Function

Inicializuje Uno službu s ProcessServiceManager.

## Syntax:

    oService = CreateUnoService( Názov služby Uno )

For a list of available services, go to: https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star.html

## Príklady:

oIntrospection = CreateUnoService( "com.sun.star.beans.Introspection" )

Nasledujúci príklad používa službu k otvoreniu dialógu na výber súboru:

    Sub Main

        fName = FileOpenDialog ("Prosím vyberte súbor")

        print "vybraný súbor: " fName

    End Sub

    Function FileOpenDialog(title As String) As String

        filepicker = createUnoService("com.sun.star.ui.dialogs.FilePicker")

        filepicker.Title = title

        filepicker.execute()

        files = filepicker.getFiles()

        FileOpenDialog=files(0)

    End Function